Bug 976258 - When creating Data provider no feedback given to user when Try/Save clicked with "Query" filled empty
When creating Data provider no feedback given to user when Try/Save clicked w...
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: BAM (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity low
: DR6
: 6.0.0
Assigned To: David Gutierrez
Jan Hrcek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 04:45 EDT by Jan Hrcek
Modified: 2014-08-06 16:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: no feedback was being provided if the user did not enter a query for the sql provider Consequence: it was unclear as to why the provider was not being saved Fix: provide a specific notification for when the query field has been left empty, upon pressing try or save Result: if, when creating or updating an sql data provider, the query field is left empty, a specific error message is displayed.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:10:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hrcek 2013-06-20 04:45:27 EDT
Description of problem:
In Data Providers panel - when creating new data provider of type SQL Query, there was a problem, that validation of Datasource was performed immediately after Datasource was selected. This issue is now fixed (see The validation of SQL https://bugzilla.redhat.com/show_bug.cgi?id=969278#c12).

However as a part of this fixe another issue was introduced: 
When you don't fill in any Query and then you click "Try" or "Save" button - no feedback is given to the user and so it is not obvious to him, that he must fill in the query.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Go to workspace "Showcase", page "Data providers"
2. Click "Create new data provider", select type "SQL query" - don't fill in other values
3. Click "Save" or "Try" buttons

Actual results:
While the field label "Name" becomes red (indicating to user, that he must fill in that field) no such feedback is given for the "Query" input text area.

Expected results:
At least the "Query" label should be made red after clicking Try or Save buttons, or some message should be displayed, like "You must fill in SQL query"

Additional info:
Please take into account the problem described in https://bugzilla.redhat.com/show_bug.cgi?id=969278#c7 in part (1) that existed before fix https://bugzilla.redhat.com/show_bug.cgi?id=969278#c12 was implemented. That is: after you implement the fix for the current bug it should still be the case, that the validation is only performed after clicking Try/Save button and not immediately after selecting the Datasource using "Datasource" select.
Comment 2 Jan Hrcek 2013-07-13 04:18:55 EDT
Ok, verified with BPMS 6.0.0.DR6 deployed on EAP 6.1

Note You need to log in before you can comment on or make changes to this bug.